package com.patzn.lims.common;

import com.patzn.lims.core.enums.IBaseEnum;

import java.io.Serializable;

public class EnumObjectVO {

    private String name;
    private Serializable value;
    private String display;

    public EnumObjectVO(IBaseEnum baseEnum) {
        name = baseEnum.getName();
        value = baseEnum.getValue();
        display = baseEnum.getDisplay();
    }

    public Serializable getValue() {
        return value;
    }

    public void setValue(Serializable value) {
        this.value = value;
    }

    public String getDisplay() {
        return display;
    }

    public void setDisplay(String display) {
        this.display = display;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
